Build a Yocto Linux Image for Intel Galileo on Ubuntu 12.04
Status: Closed Start date: 05/08/2015
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Image Compiling Estimated time: 10.00 hours
Target version: Ubuntu Spent time: 10.50 hours
Description

This is a guide for creating a Yocto linux image on an Ubuntu 12.04 derivative.

Prepare the Environment

o Make sure the system is up to date:
sudo apt-get update && sudo apt-get upgrade
e |nstall a few prerequisite packages:

sudo apt-get install gawk wget git bitbake diffstat unzip texinfo gcc-multilib build-essential
chrpath socat libsdll.2-dev xterm parted

Download the Source Code

e Create a directory for the source code:
mkdir ~/git && cd ~/git
e Get the latest loT Yocto Development Kit:

git clone -b devkit-daisy git://git.yoctoproject.org/meta-intel-iot—-devkit iotdk
cd iotdk

e Source the iot-devkit-init-build-env script:

source iot-devkit-init-build-env

Build the Yocto Image

* Run bitbake to build iot-devkit-image:

bitbake iot-devkit-image

o NOTE: There are many types of image targets for bitbake to use, such as:

1. iot-devkit-image: A fully functional image to be placed on an SD card

2. iot-devkit-prof-dev-image: A fully functional image to be placed on an SD card with full profiling and dev tools
3. iot-devkit-prof-image: A fully functional image to be placed on an SD card with full profiling

4. iot-devkit-spi-image: A small image capable of fitting into the on-board SPI flash
® Fix the grub bitbake source:

nano ~/git/iotdk/meta-quark-bsp/recipes-bsp/grub/grub_0.97.bb

o And the SRC_URlI to the following:

SRC_URI = "git://github.com/intel-iot-devkit/grub-fedora.git"

e (Optional) To use the Hob GUI to assist in building, run:

bitbake -u hob

Deploy the Yocto Image

e Use wic to create a bootable micro SD image:

~/git/iotdk/scripts/wic create -e iot-devkit-image ~/git/iotdk/scripts/lib/image/canned-wks/io
t-devkit.wks

e Write the image using dd:

sudo dd if=/var/tmp/wic/build/iot-devkit-201506161028-mmcblkp0.direct of=/dev/mmcblk0 bs=1M
sudo sync

NOTE: Make sure to update the timestamp for the image in /var/tmp/wic/build/

Connect Over Ethernet

® Once the micro SD card is inserted into the Galileo, plug a network cable to a network with DHCP and look for the host named
"quark”". Log in as root:

ssh root@quark

o NOTE: Make sure to set a root password:

passwd

Resources

https://software.intel.com/en-us/blogs/2015/03/04/creating-a-yocto-image-for-the-intel-galileo-board-using-split-layers
http://www.yoctoproject.org/docs/1.7.1/mega-manual/mega-manual.html
http://www.yoctoproject.org/docs/1.7.1/bsp-quide/bsp-quide.html
http://www.yoctoproject.org/docs/1.7.1/bitbake-user-manual/bitbake-user-manual.html
http://wiki.ros.org/IntelGalileo/HydroGalileolnitialInstall
http://www.malinov.com/Home/sergey-s-blog/intelgalileo-buildinglinuximage

https://www.yoctoproject.org/downloads

e http://layers.openembedded.org/layerindex/branch/master/layer/meta-intel-iot-devkit/

Related issues:
Copied to Intel Galileo - Support #632: Build a Yocto Linux Image for Intel G... Closed 05/08/2015

History

#1 - 05/08/2015 03:40 PM - Daniel Curtis

- Description updated
https://software.intel.com/en-us/blogs/2015/03/04/creating-a-yocto-image-for-the-intel-galileo-board-using-split-layers
http://www.yoctoproject.org/docs/1.7.1/mega-manual/mega-manual.html
http://www.yoctoproject.org/docs/1.7.1/bsp-guide/bsp-guide.html
http://www.yoctoproject.org/docs/1.7.1/bitbake-user-manual/bitbake-user-manual.html
http://wiki.ros.org/IntelGalileo/HydroGalileoInitialInstall
http://www.malinov.com/Home/sergey-s-blog/intelgalileo-buildinglinuximage
https://www.yoctoproject.org/downloads
http://layers.openembedded.org/layerindex/branch/master/layer/meta-intel-iot-devkit/

#2 - 05/15/2015 11:44 AM - Daniel Curtis
- Description updated
- Status changed from New to In Progress

- % Done changed from 0 to 30

#3 - 05/15/2015 11:57 AM - Daniel Curtis

- Description updated

#4 - 05/15/2015 12:09 PM - Daniel Curtis

- Description updated

#5 - 05/15/2015 12:24 PM - Daniel Curtis
- Description updated

- % Done changed from 30 to 50

#6 - 05/15/2015 01:59 PM - Daniel Curtis

- Description updated

#7 - 05/15/2015 02:56 PM - Daniel Curtis

- Description updated

#8 - 06/05/2015 11:39 AM - Daniel Curtis

- Description updated

#9 - 06/12/2015 12:04 PM - Daniel Curtis

- Description updated

#10 - 06/12/2015 01:10 PM - Daniel Curtis
- Description updated

- % Done changed from 50 to 70

#11 - 06/12/2015 02:33 PM - Daniel Curtis

- Description updated

#12 - 06/15/2015 12:43 PM - Daniel Curtis

- Description updated

#13 - 06/15/2015 03:15 PM - Daniel Curtis

- Description updated

#14 - 06/16/2015 10:10 AM - Daniel Curtis
- Description updated

- % Done changed from 70 to 80

#15 - 06/16/2015 10:31 AM - Daniel Curtis
- Description updated

- % Done changed from 80 to 90

#16 - 06/16/2015 10:42 AM - Daniel Curtis

- Description updated

#17 - 06/16/2015 11:20 AM - Daniel Curtis
- Description updated

- % Done changed from 90 to 100
#18 - 06/19/2015 12:48 PM - Daniel Curtis
- Description updated

- Status changed from In Progress to Resolved

#19 - 06/19/2015 02:27 PM - Daniel Curtis

- Description updated

#20 - 06/19/2015 02:28 PM - Daniel Curtis

- Description updated

#21 - 06/19/2015 03:03 PM - Daniel Curtis

- Description updated

#22 - 06/24/2015 05:51 PM - Daniel Curtis

- Description updated

#23 - 06/25/2015 11:30 AM - Daniel Curtis

- Description updated

#24 - 06/25/2015 01:25 PM - Daniel Curtis

- Subject changed from Build a Yocto Linux Image for Intel Galileo on Ubuntu to Build a Yocto Linux Image for Intel Galileo on Ubuntu 12.04

#25 - 06/25/2015 01:43 PM - Daniel Curtis
- Copied to Support #632: Build a Yocto Linux Image for Intel Galileo on Ubuntu 14.04 added

#26 - 07/13/2015 01:54 PM - Daniel Curtis

- Status changed from Resolved to Closed
